{
  description = "A flake using my config";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    home-manager = {
      url = "github:nix-community/home-manager/master";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    stylix.url = "github:danth/stylix";
  };

  outputs = {
    nixpkgs,
    home-manager,
    stylix,
    ...
  } @ inputs: let
    system = "x86_64-linux";
    mkConf = import ./lib/mkconf.nix;
    pkgs = import nixpkgs {inherit system;};
    user = "tristan";
    userName = "Tristan Beedell";
  in {
    formatter.${system} = pkgs.alejandra;
    nixosConfigurations = {
      zenix = mkConf "zenix" {
        inherit inputs nixpkgs system user userName home-manager;
      };
      FCS-Tristan-Nixbook = mkConf "work" {
        inherit inputs nixpkgs system user userName home-manager;
        work = true;
      };
    };
  };
}
